changeset 533:b970ffb2eb4d

Work around problem with the make -j dependencies of uClibc.
author Rob Landley <rob@landley.net>
date Fri, 12 Dec 2008 20:49:48 -0600
parents dc66aafc2049
children a9dc3436dcc9
files mini-native.sh
diffstat 1 files changed, 11 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/mini-native.sh	Wed Dec 10 22:12:16 2008 -0600
+++ b/mini-native.sh	Fri Dec 12 20:49:48 2008 -0600
@@ -53,11 +53,17 @@
 
 setupfor uClibc
 make CROSS="${ARCH}-" KCONFIG_ALLCONFIG="$(getconfig uClibc)" allnoconfig &&
-cp .config "${TOOLS}"/src/config-uClibc &&
-make CROSS="${ARCH}-" KERNEL_HEADERS="${TOOLS}/include" \
-     PREFIX="${UCLIBC_TOPDIR}/" \
-     RUNTIME_PREFIX="$UCLIBC_DLPREFIX/" DEVEL_PREFIX="$UCLIBC_DLPREFIX/" \
-     UCLIBC_LDSO_NAME=ld-uClibc -j $CPUS install install_utils &&
+cp .config "${TOOLS}"/src/config-uClibc || dienow
+
+# Alas, if we feed install and install_utils to make at the same time with
+# -j > 1, it dies.  Not SMP safe.
+for i in install install_utils
+do
+  make CROSS="${ARCH}-" KERNEL_HEADERS="${TOOLS}/include" \
+       PREFIX="${UCLIBC_TOPDIR}/" \
+       RUNTIME_PREFIX="$UCLIBC_DLPREFIX/" DEVEL_PREFIX="$UCLIBC_DLPREFIX/" \
+       UCLIBC_LDSO_NAME=ld-uClibc -j $CPUS $i || dienow
+done
 cd ..
 
 cleanup uClibc